From 1ec4ad937602a52db6913e8ee9103fdb59be59f7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Tue, 27 Jul 2021 15:19:00 +0200
Subject: [PATCH 1/2] misc: apply pyupgrade (#55867)

---
 .../sync_desks_timeperiod_exceptions.py       |   3 +-
 chrono/agendas/migrations/0001_initial.py     |   3 -
 chrono/agendas/migrations/0002_event.py       |   3 -
 chrono/agendas/migrations/0003_booking.py     |   3 -
 .../0004_booking_cancellation_datetime.py     |   3 -
 chrono/agendas/migrations/0005_event_label.py |   3 -
 .../migrations/0006_auto_20160707_1357.py     |   3 -
 .../migrations/0007_auto_20160722_1135.py     |   3 -
 .../migrations/0008_auto_20160910_1319.py     |   3 -
 .../migrations/0009_auto_20160911_1640.py     |   3 -
 .../migrations/0010_auto_20160918_1250.py     |   3 -
 .../migrations/0011_meetingtype_slug.py       |   3 -
 .../0012_manual_set_slugs_on_meeting_types.py |   3 -
 .../migrations/0013_auto_20161028_1603.py     |   3 -
 .../0014_booking_primary_booking.py           |   3 -
 .../migrations/0015_auto_20170628_1137.py     |   3 -
 chrono/agendas/migrations/0016_desk.py        |   3 -
 .../migrations/0017_timeperiod_desk.py        |   3 -
 chrono/agendas/migrations/0018_event_desk.py  |   3 -
 .../migrations/0019_timeperiodexception.py    |   3 -
 .../migrations/0020_auto_20171102_1021.py     |   3 -
 .../migrations/0021_auto_20171126_1330.py     |   3 -
 .../migrations/0022_auto_20171202_1828.py     |   3 -
 .../migrations/0023_auto_20171202_1835.py     |   3 -
 .../migrations/0024_auto_20180426_1127.py     |   2 -
 .../migrations/0025_auto_20181206_1252.py     |   2 -
 .../0026_booking_user_display_label.py        |   2 -
 .../migrations/0027_event_description.py      |   2 -
 chrono/agendas/migrations/0028_event_slug.py  |   3 -
 .../migrations/0029_auto_20191106_1320.py     |   2 -
 .../migrations/0030_auto_20191107_1200.py     |   3 -
 .../migrations/0031_auto_20191107_1225.py     |   6 +-
 .../migrations/0032_auto_20191127_0919.py     |   4 +-
 .../0033_timeperiodexceptionsource.py         |   3 -
 .../agendas/migrations/0034_initial_source.py |   3 -
 ...e_desk_timeperiod_exceptions_remote_url.py |   2 -
 .../migrations/0036_auto_20191223_1758.py     |   2 -
 ...0037_timeperiodexceptionsource_ics_file.py |   3 -
 .../migrations/0038_start_virtual_agendas.py  |   2 -
 .../agendas/migrations/0039_booking_delays.py |   2 -
 .../migrations/0040_timeperiod_agenda.py      |   2 -
 .../0041_clean_event_slug_unicity.py          |   3 -
 .../0043_booking_user_external_id.py          |   3 -
 .../migrations/0044_event_publication_date.py |   3 -
 .../migrations/0045_agenda_resources.py       |   3 -
 .../agendas/migrations/0046_event_duration.py |   2 -
 .../migrations/0047_auto_20200617_1521.py     |   2 -
 .../0048_meeting_type_deleted_flag.py         |   2 -
 chrono/agendas/migrations/0049_event_slug.py  |   3 -
 chrono/agendas/migrations/0050_event_slug.py  |   3 -
 .../agendas/migrations/0051_default_view.py   |   3 -
 .../0052_event_date_range_constraint.py       |   3 -
 .../0053_event_date_range_constraint.py       |   3 -
 .../migrations/0054_agenda_categories.py      |   3 -
 .../0055_booking_cancel_callback_url.py       |   2 -
 .../migrations/0056_auto_20200811_1611.py     |   2 -
 .../migrations/0057_auto_20200831_1634.py     |   2 -
 .../0058_timeperiodexception_external.py      |   2 -
 .../migrations/0059_event_almost_full.py      |   2 -
 .../migrations/0060_auto_20200903_1041.py     |   2 -
 .../migrations/0061_auto_20200909_1752.py     |   2 -
 .../migrations/0062_auto_20200915_1401.py     |   2 -
 .../migrations/0063_auto_20200928_1445.py     |   2 -
 .../migrations/0064_booking_form_url.py       |   3 -
 .../0065_unavailability_calendar.py           |   2 -
 ...iodexceptionsource_unique_settings_slug.py |   2 -
 .../migrations/0067_auto_20201021_1746.py     |   4 +-
 ...068_remove_timeperiodexception_external.py |   2 -
 .../migrations/0069_translate_holidays.py     |   2 -
 .../migrations/0070_auto_20201202_1834.py     |   4 +-
 .../migrations/0071_booking_attendance.py     |   3 -
 .../migrations/0072_booking_absence_reason.py |   3 -
 .../migrations/0073_auto_20210125_1800.py     |   4 +-
 .../agendas/migrations/0074_simple_desks.py   |   3 -
 .../migrations/0075_auto_20210216_1553.py     |   2 -
 .../0076_event_recurrence_end_date.py         |   2 -
 .../migrations/0077_meetings_default_view.py  |   3 -
 .../migrations/0078_absence_reasons.py        |   3 -
 .../0080_create_exceptions_desks.py           |   2 -
 chrono/agendas/models.py                      |  21 ++-
 chrono/api/utils.py                           |   1 -
 chrono/api/views.py                           |  10 +-
 chrono/manager/forms.py                       |   1 -
 .../management/commands/import_site.py        |   2 +-
 chrono/manager/views.py                       |  34 ++---
 chrono/utils/spooler.py                       |   1 -
 setup.py                                      |   3 +-
 tests/api/conftest.py                         |  10 +-
 tests/api/test_all.py                         |  12 +-
 tests/api/test_booking.py                     |  16 +-
 tests/api/test_datetimes.py                   |  10 +-
 tests/api/test_event.py                       |   2 -
 tests/api/test_fillslot.py                    |  32 ++--
 tests/api/test_meetings_datetimes.py          |  26 ++--
 tests/api/test_statistics.py                  |   2 -
 tests/manager/conftest.py                     |   2 +-
 tests/manager/test_absence_reason.py          |   8 +-
 tests/manager/test_all.py                     | 102 +++++++------
 tests/manager/test_category.py                |  10 +-
 tests/manager/test_event.py                   |  64 ++++----
 tests/manager/test_resource.py                |  22 ++-
 tests/manager/test_unavailability_calendar.py |   8 +-
 tests/test_agendas.py                         | 139 +++++++++---------
 tests/test_ensure_jsonbfields.py              |   2 -
 tests/test_import_export.py                   |  24 ++-
 tests/test_requests.py                        |   6 +-
 tests/test_time_periods.py                    |  16 +-
 107 files changed, 277 insertions(+), 524 deletions(-)

diff --git a/chrono/agendas/management/commands/sync_desks_timeperiod_exceptions.py b/chrono/agendas/management/commands/sync_desks_timeperiod_exceptions.py
index 6d6950d..fce0342 100644
--- a/chrono/agendas/management/commands/sync_desks_timeperiod_exceptions.py
+++ b/chrono/agendas/management/commands/sync_desks_timeperiod_exceptions.py
@@ -14,7 +14,6 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import print_function
 
 import sys
 
@@ -39,5 +38,5 @@ class Command(BaseCommand):
                 source.refresh_timeperiod_exceptions_from_ics()
             except ICSError as e:
                 print(
-                    u'unable to create timeperiod exceptions for "%s": %s' % (source.desk, e), file=sys.stderr
+                    'unable to create timeperiod exceptions for "%s": %s' % (source.desk, e), file=sys.stderr
                 )
diff --git a/chrono/agendas/migrations/0001_initial.py b/chrono/agendas/migrations/0001_initial.py
index 71e3d60..f973c32 100644
--- a/chrono/agendas/migrations/0001_initial.py
+++ b/chrono/agendas/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0002_event.py b/chrono/agendas/migrations/0002_event.py
index 4bd52d9..23507d7 100644
--- a/chrono/agendas/migrations/0002_event.py
+++ b/chrono/agendas/migrations/0002_event.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0003_booking.py b/chrono/agendas/migrations/0003_booking.py
index 4593e03..7705830 100644
--- a/chrono/agendas/migrations/0003_booking.py
+++ b/chrono/agendas/migrations/0003_booking.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations, models
 
diff --git a/chrono/agendas/migrations/0004_booking_cancellation_datetime.py b/chrono/agendas/migrations/0004_booking_cancellation_datetime.py
index d5d3fbc..42d6d64 100644
--- a/chrono/agendas/migrations/0004_booking_cancellation_datetime.py
+++ b/chrono/agendas/migrations/0004_booking_cancellation_datetime.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0005_event_label.py b/chrono/agendas/migrations/0005_event_label.py
index b6f80b4..d579fb8 100644
--- a/chrono/agendas/migrations/0005_event_label.py
+++ b/chrono/agendas/migrations/0005_event_label.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0006_auto_20160707_1357.py b/chrono/agendas/migrations/0006_auto_20160707_1357.py
index 5046f95..7ae4877 100644
--- a/chrono/agendas/migrations/0006_auto_20160707_1357.py
+++ b/chrono/agendas/migrations/0006_auto_20160707_1357.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
diff --git a/chrono/agendas/migrations/0007_auto_20160722_1135.py b/chrono/agendas/migrations/0007_auto_20160722_1135.py
index eadaf23..3cb38af 100644
--- a/chrono/agendas/migrations/0007_auto_20160722_1135.py
+++ b/chrono/agendas/migrations/0007_auto_20160722_1135.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0008_auto_20160910_1319.py b/chrono/agendas/migrations/0008_auto_20160910_1319.py
index 9d3c511..1ffa65b 100644
--- a/chrono/agendas/migrations/0008_auto_20160910_1319.py
+++ b/chrono/agendas/migrations/0008_auto_20160910_1319.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django
 from django.db import migrations, models
 
diff --git a/chrono/agendas/migrations/0009_auto_20160911_1640.py b/chrono/agendas/migrations/0009_auto_20160911_1640.py
index c019b8b..4e0fb07 100644
--- a/chrono/agendas/migrations/0009_auto_20160911_1640.py
+++ b/chrono/agendas/migrations/0009_auto_20160911_1640.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0010_auto_20160918_1250.py b/chrono/agendas/migrations/0010_auto_20160918_1250.py
index 407c8e9..fe1b8e7 100644
--- a/chrono/agendas/migrations/0010_auto_20160918_1250.py
+++ b/chrono/agendas/migrations/0010_auto_20160918_1250.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0011_meetingtype_slug.py b/chrono/agendas/migrations/0011_meetingtype_slug.py
index 8ab2c67..093258f 100644
--- a/chrono/agendas/migrations/0011_meetingtype_slug.py
+++ b/chrono/agendas/migrations/0011_meetingtype_slug.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0012_manual_set_slugs_on_meeting_types.py b/chrono/agendas/migrations/0012_manual_set_slugs_on_meeting_types.py
index b89564d..47fb53a 100644
--- a/chrono/agendas/migrations/0012_manual_set_slugs_on_meeting_types.py
+++ b/chrono/agendas/migrations/0012_manual_set_slugs_on_meeting_types.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations
 from django.utils.text import slugify
 
diff --git a/chrono/agendas/migrations/0013_auto_20161028_1603.py b/chrono/agendas/migrations/0013_auto_20161028_1603.py
index 456af26..c214ced 100644
--- a/chrono/agendas/migrations/0013_auto_20161028_1603.py
+++ b/chrono/agendas/migrations/0013_auto_20161028_1603.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0014_booking_primary_booking.py b/chrono/agendas/migrations/0014_booking_primary_booking.py
index 23fd6e2..8a05071 100644
--- a/chrono/agendas/migrations/0014_booking_primary_booking.py
+++ b/chrono/agendas/migrations/0014_booking_primary_booking.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0015_auto_20170628_1137.py b/chrono/agendas/migrations/0015_auto_20170628_1137.py
index 8feb554..43a540d 100644
--- a/chrono/agendas/migrations/0015_auto_20170628_1137.py
+++ b/chrono/agendas/migrations/0015_auto_20170628_1137.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0016_desk.py b/chrono/agendas/migrations/0016_desk.py
index cfac45f..9413fae 100644
--- a/chrono/agendas/migrations/0016_desk.py
+++ b/chrono/agendas/migrations/0016_desk.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0017_timeperiod_desk.py b/chrono/agendas/migrations/0017_timeperiod_desk.py
index d76803e..c5a54b7 100644
--- a/chrono/agendas/migrations/0017_timeperiod_desk.py
+++ b/chrono/agendas/migrations/0017_timeperiod_desk.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0018_event_desk.py b/chrono/agendas/migrations/0018_event_desk.py
index 4f457de..492e8a0 100644
--- a/chrono/agendas/migrations/0018_event_desk.py
+++ b/chrono/agendas/migrations/0018_event_desk.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0019_timeperiodexception.py b/chrono/agendas/migrations/0019_timeperiodexception.py
index a70ea46..1bafc03 100644
--- a/chrono/agendas/migrations/0019_timeperiodexception.py
+++ b/chrono/agendas/migrations/0019_timeperiodexception.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0020_auto_20171102_1021.py b/chrono/agendas/migrations/0020_auto_20171102_1021.py
index 4bdb3d4..6686bd2 100644
--- a/chrono/agendas/migrations/0020_auto_20171102_1021.py
+++ b/chrono/agendas/migrations/0020_auto_20171102_1021.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
diff --git a/chrono/agendas/migrations/0021_auto_20171126_1330.py b/chrono/agendas/migrations/0021_auto_20171126_1330.py
index 47b5576..01ab396 100644
--- a/chrono/agendas/migrations/0021_auto_20171126_1330.py
+++ b/chrono/agendas/migrations/0021_auto_20171126_1330.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0022_auto_20171202_1828.py b/chrono/agendas/migrations/0022_auto_20171202_1828.py
index d987880..bae09e1 100644
--- a/chrono/agendas/migrations/0022_auto_20171202_1828.py
+++ b/chrono/agendas/migrations/0022_auto_20171202_1828.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0023_auto_20171202_1835.py b/chrono/agendas/migrations/0023_auto_20171202_1835.py
index b567be4..78c895a 100644
--- a/chrono/agendas/migrations/0023_auto_20171202_1835.py
+++ b/chrono/agendas/migrations/0023_auto_20171202_1835.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0028_event_slug.py b/chrono/agendas/migrations/0028_event_slug.py
index 9ef556b..f5cc128 100644
--- a/chrono/agendas/migrations/0028_event_slug.py
+++ b/chrono/agendas/migrations/0028_event_slug.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0030_auto_20191107_1200.py b/chrono/agendas/migrations/0030_auto_20191107_1200.py
index 3348250..2cff44b 100644
--- a/chrono/agendas/migrations/0030_auto_20191107_1200.py
+++ b/chrono/agendas/migrations/0030_auto_20191107_1200.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations
 from django.utils.text import slugify
 
diff --git a/chrono/agendas/migrations/0033_timeperiodexceptionsource.py b/chrono/agendas/migrations/0033_timeperiodexceptionsource.py
index e664fa5..35fc626 100644
--- a/chrono/agendas/migrations/0033_timeperiodexceptionsource.py
+++ b/chrono/agendas/migrations/0033_timeperiodexceptionsource.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
diff --git a/chrono/agendas/migrations/0034_initial_source.py b/chrono/agendas/migrations/0034_initial_source.py
index 9f862dd..75326c4 100644
--- a/chrono/agendas/migrations/0034_initial_source.py
+++ b/chrono/agendas/migrations/0034_initial_source.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations
 
 
diff --git a/chrono/agendas/migrations/0037_timeperiodexceptionsource_ics_file.py b/chrono/agendas/migrations/0037_timeperiodexceptionsource_ics_file.py
index f346154..ec2a6a7 100644
--- a/chrono/agendas/migrations/0037_timeperiodexceptionsource_ics_file.py
+++ b/chrono/agendas/migrations/0037_timeperiodexceptionsource_ics_file.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import chrono.agendas.models
diff --git a/chrono/agendas/migrations/0041_clean_event_slug_unicity.py b/chrono/agendas/migrations/0041_clean_event_slug_unicity.py
index d1aa17f..e8e7612 100644
--- a/chrono/agendas/migrations/0041_clean_event_slug_unicity.py
+++ b/chrono/agendas/migrations/0041_clean_event_slug_unicity.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django
 from django.db import migrations
 
diff --git a/chrono/agendas/migrations/0043_booking_user_external_id.py b/chrono/agendas/migrations/0043_booking_user_external_id.py
index b5cade7..5d2f907 100644
--- a/chrono/agendas/migrations/0043_booking_user_external_id.py
+++ b/chrono/agendas/migrations/0043_booking_user_external_id.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0044_event_publication_date.py b/chrono/agendas/migrations/0044_event_publication_date.py
index e82dc82..b5dffb8 100644
--- a/chrono/agendas/migrations/0044_event_publication_date.py
+++ b/chrono/agendas/migrations/0044_event_publication_date.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0045_agenda_resources.py b/chrono/agendas/migrations/0045_agenda_resources.py
index 82af14f..7a95003 100644
--- a/chrono/agendas/migrations/0045_agenda_resources.py
+++ b/chrono/agendas/migrations/0045_agenda_resources.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0049_event_slug.py b/chrono/agendas/migrations/0049_event_slug.py
index ba94cd2..e38a36b 100644
--- a/chrono/agendas/migrations/0049_event_slug.py
+++ b/chrono/agendas/migrations/0049_event_slug.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import uuid
 
 from django.db import migrations
diff --git a/chrono/agendas/migrations/0050_event_slug.py b/chrono/agendas/migrations/0050_event_slug.py
index 370b892..44c0ecf 100644
--- a/chrono/agendas/migrations/0050_event_slug.py
+++ b/chrono/agendas/migrations/0050_event_slug.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import chrono.agendas.models
diff --git a/chrono/agendas/migrations/0051_default_view.py b/chrono/agendas/migrations/0051_default_view.py
index d2ef824..1cfd4db 100644
--- a/chrono/agendas/migrations/0051_default_view.py
+++ b/chrono/agendas/migrations/0051_default_view.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0052_event_date_range_constraint.py b/chrono/agendas/migrations/0052_event_date_range_constraint.py
index 069ee35..b806f67 100644
--- a/chrono/agendas/migrations/0052_event_date_range_constraint.py
+++ b/chrono/agendas/migrations/0052_event_date_range_constraint.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, transaction
 from django.db.utils import InternalError, OperationalError, ProgrammingError
 
diff --git a/chrono/agendas/migrations/0053_event_date_range_constraint.py b/chrono/agendas/migrations/0053_event_date_range_constraint.py
index 97880bc..5516dd8 100644
--- a/chrono/agendas/migrations/0053_event_date_range_constraint.py
+++ b/chrono/agendas/migrations/0053_event_date_range_constraint.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, transaction
 from django.db.utils import InternalError, OperationalError, ProgrammingError
 
diff --git a/chrono/agendas/migrations/0054_agenda_categories.py b/chrono/agendas/migrations/0054_agenda_categories.py
index 35766d2..216ea28 100644
--- a/chrono/agendas/migrations/0054_agenda_categories.py
+++ b/chrono/agendas/migrations/0054_agenda_categories.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
diff --git a/chrono/agendas/migrations/0064_booking_form_url.py b/chrono/agendas/migrations/0064_booking_form_url.py
index ed23203..fe5d4eb 100644
--- a/chrono/agendas/migrations/0064_booking_form_url.py
+++ b/chrono/agendas/migrations/0064_booking_form_url.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import chrono.agendas.models
diff --git a/chrono/agendas/migrations/0071_booking_attendance.py b/chrono/agendas/migrations/0071_booking_attendance.py
index 6b79a4f..0faecc4 100644
--- a/chrono/agendas/migrations/0071_booking_attendance.py
+++ b/chrono/agendas/migrations/0071_booking_attendance.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0072_booking_absence_reason.py b/chrono/agendas/migrations/0072_booking_absence_reason.py
index 4b0c8bd..b294ae1 100644
--- a/chrono/agendas/migrations/0072_booking_absence_reason.py
+++ b/chrono/agendas/migrations/0072_booking_absence_reason.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0074_simple_desks.py b/chrono/agendas/migrations/0074_simple_desks.py
index 2854dfd..6a76df8 100644
--- a/chrono/agendas/migrations/0074_simple_desks.py
+++ b/chrono/agendas/migrations/0074_simple_desks.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/chrono/agendas/migrations/0077_meetings_default_view.py b/chrono/agendas/migrations/0077_meetings_default_view.py
index 6237bcc..d1a37e9 100644
--- a/chrono/agendas/migrations/0077_meetings_default_view.py
+++ b/chrono/agendas/migrations/0077_meetings_default_view.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations
 
 
diff --git a/chrono/agendas/migrations/0078_absence_reasons.py b/chrono/agendas/migrations/0078_absence_reasons.py
index 32d1040..1e0b04c 100644
--- a/chrono/agendas/migrations/0078_absence_reasons.py
+++ b/chrono/agendas/migrations/0078_absence_reasons.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
diff --git a/chrono/agendas/models.py b/chrono/agendas/models.py
index a0a83f9..672bc6b 100644
--- a/chrono/agendas/models.py
+++ b/chrono/agendas/models.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # chrono - agendas system
 # Copyright (C) 2016  Entr'ouvert
 #
@@ -991,9 +990,9 @@ class VirtualMember(models.Model):
         virtual_meetingtypes = self.virtual_agenda.iter_meetingtypes(excluded_agenda=self.real_agenda)
         if not virtual_meetingtypes:
             return
-        virtual_meetingtypes = set([(mt.label, mt.slug, mt.duration) for mt in virtual_meetingtypes])
+        virtual_meetingtypes = {(mt.label, mt.slug, mt.duration) for mt in virtual_meetingtypes}
         real_meetingtypes = self.real_agenda.iter_meetingtypes()
-        real_meetingtypes = set([(mt.label, mt.slug, mt.duration) for mt in real_meetingtypes])
+        real_meetingtypes = {(mt.label, mt.slug, mt.duration) for mt in real_meetingtypes}
         if virtual_meetingtypes - real_meetingtypes:
             # missing meeting type in real agenda
             for mt in virtual_meetingtypes - real_meetingtypes:
@@ -1038,7 +1037,7 @@ class TimePeriod(models.Model):
         ordering = ['weekday', 'start_time']
 
     def __str__(self):
-        return u'%s / %s → %s' % (
+        return '%s / %s → %s' % (
             force_text(WEEKDAYS[self.weekday]),
             date_format(self.start_time, 'TIME_FORMAT'),
             date_format(self.end_time, 'TIME_FORMAT'),
@@ -1123,7 +1122,7 @@ class SharedTimePeriod:
         self.desks = set(desks)
 
     def __str__(self):
-        return u'%s / %s → %s' % (
+        return '%s / %s → %s' % (
             force_text(WEEKDAYS[self.weekday]),
             date_format(self.start_time, 'TIME_FORMAT'),
             date_format(self.end_time, 'TIME_FORMAT'),
@@ -2118,7 +2117,7 @@ class Category(models.Model):
 
 
 def ics_directory_path(instance, filename):
-    return 'ics/{0}/{1}'.format(str(uuid.uuid4()), filename)
+    return f'ics/{str(uuid.uuid4())}/{filename}'
 
 
 class TimePeriodExceptionSource(models.Model):
@@ -2462,27 +2461,27 @@ class TimePeriodException(models.Model):
             # if both dates are at midnight don't include the time part
             if self.end_datetime == self.start_datetime + datetime.timedelta(days=1):
                 # a single day
-                exc_repr = u'%s' % date_format(localtime(self.start_datetime), 'SHORT_DATE_FORMAT')
+                exc_repr = '%s' % date_format(localtime(self.start_datetime), 'SHORT_DATE_FORMAT')
             else:
-                exc_repr = u'%s → %s' % (
+                exc_repr = '%s → %s' % (
                     date_format(localtime(self.start_datetime), 'SHORT_DATE_FORMAT'),
                     date_format(localtime(self.end_datetime), 'SHORT_DATE_FORMAT'),
                 )
         else:
             if localtime(self.start_datetime).date() == localtime(self.end_datetime).date():
                 # same day
-                exc_repr = u'%s → %s' % (
+                exc_repr = '%s → %s' % (
                     date_format(localtime(self.start_datetime), 'SHORT_DATETIME_FORMAT'),
                     date_format(localtime(self.end_datetime), 'TIME_FORMAT'),
                 )
             else:
-                exc_repr = u'%s → %s' % (
+                exc_repr = '%s → %s' % (
                     date_format(localtime(self.start_datetime), 'SHORT_DATETIME_FORMAT'),
                     date_format(localtime(self.end_datetime), 'SHORT_DATETIME_FORMAT'),
                 )
 
         if self.label:
-            exc_repr = u'%s (%s)' % (self.label, exc_repr)
+            exc_repr = '%s (%s)' % (self.label, exc_repr)
 
         return exc_repr
 
diff --git a/chrono/api/utils.py b/chrono/api/utils.py
index 89afd7b..37fde6f 100644
--- a/chrono/api/utils.py
+++ b/chrono/api/utils.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # chrono - agendas system
 # Copyright (C) 2019  Entr'ouvert
 #
diff --git a/chrono/api/views.py b/chrono/api/views.py
index 7c5c45d..17f1186 100644
--- a/chrono/api/views.py
+++ b/chrono/api/views.py
@@ -256,8 +256,8 @@ def get_all_slots(
     user_bookings = IntervalSet()
     if user_external_id:
         used_min_datetime, used_max_datetime = (
-            min([v[0] for v in agenda_id_min_max_datetime.values()]),
-            max([v[1] for v in agenda_id_min_max_datetime.values()]),
+            min(v[0] for v in agenda_id_min_max_datetime.values()),
+            max(v[1] for v in agenda_id_min_max_datetime.values()),
         )
         booked_events = (
             Event.objects.filter(
@@ -558,7 +558,7 @@ def get_resources_from_request(request, agenda):
     resources_slugs = [s for s in request.GET['resources'].split(',') if s]
     resources = list(agenda.resources.filter(slug__in=resources_slugs))
     if len(resources) != len(resources_slugs):
-        unknown_slugs = set(resources_slugs) - set([r.slug for r in resources])
+        unknown_slugs = set(resources_slugs) - {r.slug for r in resources}
         unknown_slugs = sorted(list(unknown_slugs))
         raise APIError(
             _('invalid resource: %s') % ', '.join(unknown_slugs),
@@ -2027,8 +2027,8 @@ class ResizeBooking(APIView):
                 'err_desc': _('secondary booking'),
             }
             return Response(response)
-        event_ids = set([event.pk])
-        in_waiting_list = set([booking.in_waiting_list])
+        event_ids = {event.pk}
+        in_waiting_list = {booking.in_waiting_list}
         secondary_bookings = booking.secondary_booking_set.all().order_by('-creation_datetime')
         for secondary in secondary_bookings:
             event_ids.add(secondary.event_id)
diff --git a/chrono/manager/forms.py b/chrono/manager/forms.py
index 08bb4f9..cf10611 100644
--- a/chrono/manager/forms.py
+++ b/chrono/manager/forms.py
@@ -14,7 +14,6 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import unicode_literals
 
 import collections
 import csv
diff --git a/chrono/manager/management/commands/import_site.py b/chrono/manager/management/commands/import_site.py
index 9986604..6c38b72 100644
--- a/chrono/manager/management/commands/import_site.py
+++ b/chrono/manager/management/commands/import_site.py
@@ -44,7 +44,7 @@ class Command(BaseCommand):
                     overwrite=options['overwrite'],
                 )
             except AgendaImportError as exc:
-                raise CommandError(u'%s' % exc)
+                raise CommandError('%s' % exc)
 
         if filename == '-':
             fd = sys.stdin
